Terrain:
  # long: int # longueur max -- en m
  # larg: int # largeur max -- en m
  # haut: int # hauteur max -- en m
  taille: int # taille -- en m
  sol:  int # hauteur du "sol" -- en m
  taille_province: int # en m, divise long et larg
  taille_zone: int # en m, divise taille_province
  heightmap: string # fichier heightmap .png

  # provinces: ref Province[]

Province:
  # la province est un carré formé de taille*taille zones
  pid: int # id dans le référentiel du terrain
  taille: int
  x: int
  y: int 
  # z: int/
  # zones: ref Zone[]

Zone:
  #hauteur max d'une zone: 1000m -> [-sol; 1000 - sol] générés au besoin
  zid: int # id de la zone - dans le référentiel de la province
  taille: 100 # --en m
  x: int
  y: int
  h: int # hauteur de la tuile - en m
  data: any
  # tuiles: ref Tuile[]
